- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# KFcondQR Class Reference

Kalman Filter with conditional diagonal matrices R and Q. More...

`#include <libKF.h>`

Inheritance diagram for KFcondQR:

[legend]
Collaboration diagram for KFcondQR:

[legend]

List of all members.

## Public Member Functions
| KFcondQR (RV rvx, RV rvy, RV rvu, RV rvRQ)
| Default constructor.
void | condition (const vec &RQ)
| Substitute `val` for `rvc`.
void | set_parameters (const mat &A0, const mat &B0, const mat &C0, const mat &D0, const ldmat &R0, const ldmat &Q0)
| Set parameters with check of relevance.
void | set_est (const vec &mu0, const ldmat &P0)
| Set estimate values, used e.g. in initialization.
void | bayes (const vec &dt)
| Here dt = [yt;ut] of appropriate dimensions.
void | bayes (mat Dt)
| Batch Bayes rule (columns of Dt are observations).
epdf & | _epdf ()
| access function
const RV & | _rv () const
| access function
double | _ll () const
| access function
const RV & | _rvc () const
| access function
## Protected Attributes
RV | rvy
| Indetifier of output rv.
RV | rvu
| Indetifier of exogeneous rv.
int | dimx
| cache of rv.count()
int | dimy
| cache of rvy.count()
int | dimu
| cache of rvu.count()
mat | A
| Matrix A.
mat | B
| Matrix B.
mat | C
| Matrix C.
mat | D
| Matrix D.
ldmat | Q
| Matrix Q in square-root form.
ldmat | R
| Matrix R in square-root form.
enorm< ldmat > | est
| posterior density on $x_t$
enorm< ldmat > | fy
| preditive density on $y_t$
mat | _K
| placeholder for Kalman gain
vec * | _yp
| cache of fy.mu
ldmat * | _Ry
| cache of fy.R
ldmat * | _iRy
| cache of fy.iR
vec * | _mu
| cache of est.mu
ldmat * | _P
| cache of est.R
ldmat * | _iP
| cache of est.iR
RV | rv
| Random variable of the posterior.
double | ll
| Logarithm of marginalized data likelihood.
bool | evalll
| If true, the filter will compute likelihood of the data record and store it in `ll` . Set to false if you want to save time.
RV | rvc
| Identificator of the conditioning variable.

## Detailed Description

Kalman Filter with conditional diagonal matrices R and Q.

The documentation for this class was generated from the following files:

- work/mixpp/bdm/estim/libKF.h
- work/mixpp/bdm/estim/libKF.cpp